Subject: Re: [PATCH] gmac: sun8i: r40: add gmac tx_delay support

From: Jakub Kicinski <[email-masked]>
Date: Tue, 2 Jan 2024 07:58:07 -0800

On Thu, 21 Dec 2023 15:16:54 +0800 fuyao wrote:
> I don't see it in the user manual also.
> 
> it works fine in 100M, but it doesn't work good in 1G without tx_delay
> in my board.
> 
> Read the sdk from allwinner I found in:
> 
> https://sourcegraph.com/github.com/tinalinux/linux-3.10/-/blob/arch/arm/boot/dts/sun8iw11p1.dtsi?L1826
> https://sourcegraph.com/github.com/tinalinux/[email-masked]/-/blob/drivers/net/ethernet/allwinner/sunxi-gmac.c?L877
> 
> And I add it to my board, it works fine.
> 
> So, I think it may be exist register but not documented.

Unless Allwinner can chime in we should at least document the situation
clearly in the commit message (incl. what HW+config was tested, exactly)
and add a comment in the code?
-- 
pw-bot: cr